Package org.apache.nutch.segment

## Class SegmentMerger.SegmentMergerMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<Text,​MetaWrapper,​Text,​MetaWrapper>
  - - org.apache.nutch.segment.SegmentMerger.SegmentMergerMapper

- Enclosing class:
    SegmentMerger

      public static class SegmentMerger.SegmentMergerMapper
      extends Mapper<Text,​MetaWrapper,​Text,​MetaWrapper>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SegmentMergerMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `map​(Text key, MetaWrapper value, Mapper.Context context)` |
    `void` | `setup​(Mapper.Context context)` |

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentMergerMapper

          public SegmentMergerMapper()

  - ### Method Detail

    - #### setup

          public void setup​(Mapper.Context context)

      Overrides:
        `setup` in class `Mapper<Text,​MetaWrapper,​Text,​MetaWrapper>`

    - #### map

          public void map​(Text key,
                          MetaWrapper value,
                          Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Overrides:
        `map` in class `Mapper<Text,​MetaWrapper,​Text,​MetaWrapper>`
      Throws:
        `IOException`
        `InterruptedException`